import fdb

FB_CLNT = r'C:\FB\50SS\fbclient.dll'
NUM_OF_UNIONED_PARTS=128

unioned_query = '('
for i in range(0,NUM_OF_UNIONED_PARTS):
  unioned_query = ''.join( (unioned_query, 'select %d ' % (i+1) + ('as i ' if i==0 else '') + 'from rdb$database') )
  if i < NUM_OF_UNIONED_PARTS-1:
      unioned_query = ''.join( (unioned_query, ' union all (') )

unioned_query = ''.join( (unioned_query, ')' * NUM_OF_UNIONED_PARTS) )
unioned_query += ';'

print(unioned_query)

con = fdb.connect(dsn = 'localhost:employee', fb_library_name = FB_CLNT)
print(con.firebird_version)
cur = con.cursor()
cur.execute(unioned_query)
total = 0
for r in cur:
    total += r[0]
con.close()
print(total)
